Loading...
Searching...
No Matches
etl::chrono::weekday_indexed Class Reference

weekday_indexed More...

`#include <weekday.h>`

## Public Member Functions

ETL_CONSTEXPR | weekday_indexed () ETL_NOEXCEPT
| Default constructor.
ETL_CONSTEXPR14 | weekday_indexed (const etl::chrono::weekday &wd_, unsigned index_) ETL_NOEXCEPT
| Construct from weekday and index.
ETL_NODISCARD ETL_NODISCARD ETL_CONSTEXPR14 etl::chrono::weekday | weekday () const ETL_NOEXCEPT
| Get weekday.
ETL_NODISCARD ETL_NODISCARD ETL_CONSTEXPR14 unsigned | index () const ETL_NOEXCEPT
| Get index.
ETL_NODISCARD ETL_NODISCARD ETL_CONSTEXPR14 bool | ok () const ETL_NOEXCEPT
| Returns true if the weekday and index are valid.

## Detailed Description

weekday_indexed

The documentation for this class was generated from the following file:

- include/etl/private/chrono/weekday.h